Foreman - Bug #29402

Add missing gov cloud region us-gov-east-1 for EC2

03/24/2020 01:15 PM - Aditi Puntambekar

Status: Closed
Priority: Normal
Assignee: Aditi Puntambekar
Category: Compute resources - EC2
Target version:
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1782830 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7585,
https://github.com/theforeman/foreman/p
ull/7675
Description

Currently, the AWS Gov Cloud feature in Foreman supports only a single region "us-gov-west-1" whereas, AWS supports two Gov

Cloud regions.

Since it was just one region in the beginning, it was hardcoded inside the model. But, now it has two and this may increase in due
course of time. So, it would be better to maintain multiple gov cloud regions and just add a region to it whenever support for a new

one is made available.

Associated revisions

Revision 1b933386 - 05/18/2020 03:36 PM - Aditi Puntambekar
Fixes #29402 - Add missing gov region for EC2

History

#1 - 04/14/2020 10:55 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7585 added

#2 - 05/18/2020 03:36 PM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#3 - 05/18/2020 04:01 PM - Aditi Puntambekar
- Status changed from Ready For Testing to Closed

Applied in changeset 1b93338600fe395db90b53f1ce9fead62aea87fc.

#4 - 05/21/2020 04:56 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7675 added

#5 - 05/21/2020 08:14 AM - Tomer Brisker
- Fixed in Releases 2.1.0 added
- Fixed in Releases deleted (2.2.0)

#6 - 09/10/2020 04:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7975 added
